#include "qpixmap_crash.h"
#include <QPainter>
#include <QDebug>

qpixmap_crash::qpixmap_crash(QWidget* p)
	: QWidget(p)
{}

qpixmap_crash::~qpixmap_crash()
{}

void qpixmap_crash::previewAvailable(const KFileItem& , const QPixmap& pic)
{
	mPic=pic;
	qDebug() << "got the pic";
	repaint();
}

void qpixmap_crash::paintEvent(QPaintEvent* ev)
{
	if(mPic.isNull()) {
		qDebug() << "not painting";
		QWidget::paintEvent(ev);
		return;
	} else
		qDebug() << "painting";
	
	QPainter p(this);
	p.drawPixmap(QRect(QPoint(5,5), size()),mPic);
}

#include "qpixmap_crash.moc"
