#include <kapplication.h>
#include "qpixmap_crash.h"
#include <kio/previewjob.h>
#include <kfileitem.h>
#include <QDebug>
#include <kaboutdata.h>
#include <KDE/KCmdLineArgs>

int main(int argc, char** argv)
{
	KAboutData about("crash", 0, ki18n(("crash")), "0.0", ki18n("crash"),
			 KAboutData::License_GPL, ki18n("(C) 2008-2009 Alex Fiestas and Aleix Pol"));
	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineOptions options;
	options.add("+file", ki18n( "Files to load" ));
	KCmdLineArgs::addCmdLineOptions(options);
	
	KApplication app;
	KCmdLineArgs* args=KCmdLineArgs::parsedArgs();
	qpixmap_crash foo;
	
	QRect rect(5,5,200, 200);
	Q_ASSERT(app.arguments().size()==1);
	KUrl arg(args->arg(0));
	qDebug() << "aaaaa" << app.arguments();
	KIO::PreviewJob* job = new KIO::PreviewJob(KFileItemList() << KFileItem(arg, QString(), 0),
												rect.width(), rect.height(), 0, 0, true, false, 0);
	foo.connect(job, SIGNAL(gotPreview(KFileItem,QPixmap)), &foo, SLOT(previewAvailable(KFileItem,QPixmap)));
	
	foo.show();
	return app.exec();
}

// int main(int argc, char** argv)
// {
// 	Q_ASSERT(argc==2);
// 	QApplication app(argc, argv);
// 	
// 	QImage img(argv[1]);
// 	QPixmap pix=QPixmap::fromImage(img.scaled(QSize(400, 200), Qt::KeepAspectRatio, Qt::SmoothTransformation));
// 	qpixmap_crash foo;
// 	foo.setPic(pix);
// 	foo.show();
// 	
// 	foo.show();
// 	return app.exec();
// }
